<div class="container ">
    <div class="row d-flex justify-content-center">
       
    <h1 >Countries</h1>
        
    
    
    <input  type="text" id="Search" class="form-control" name="name" [(ngModel)]="name" (ngModelChange)="search()" placeholder="Search for countries.." aria-label="Search">
 
 
    <div class="card mt-3" style="width: 30rem;" *ngFor="let Countrys of Country | filter:name">
        
     <div class="card-body" >
        
         <div class="row" >
             <div class="col-sm-6">
             <img class="card-img" src="{{Countrys.flag}}" alt="Card image cap">
             </div>
             <div class="col-sm-6">
            <h2 class="card-title">{{Countrys.name}}</h2>
            <div *ngFor="let i of Countrys.currencies">
            <p class="card-text">Currency:{{i.name}}</p> 
            </div>
            <button type="button"  class="btn btn-outline-primary">Show Map</button> &nbsp;&nbsp;
            
            <button type="button" class="btn btn-outline-primary" >Details</button>
            
             </div>  
         </div>
     </div>
    
  </div>
 </div>  
 </div>